Add Redundancy to a Single Virtual Device
Add a secondary device to an active virtual device to create a redundant pair. Adding resiliency to an existing device eliminates the need to start over with two new devices.
Some attributes of the secondary device must be the same as that of the primary, including:
- The device configuration
- Licensing
- Device resources
- Software package
- License throughput
If both devices belong to the same account, the term length of the secondary must be the same as that of the primary.
You can customize the following secondary-device attributes:
- Version
- Hostname
- Notification list
- List of SSH users
- Access IP addresses
- Additional bandwidth
Prerequisites
- A single, non-redundant Network Edge virtual device.
- The
Network Edge Device Managerrole.
- Portal
- API
-
Sign in to the Equinix Customer Portal and navigate to Network Edge.
-
From the Network Edge menu, select Virtual Device Inventory.

-
Click on the device you want to edit. The virtual device details will display.
-
Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to API Authentication for instructions on how to call the OAuth API to validate and authenticate your credentials.
-
Get the Primary Device information. Send a
GETrequest to the/ne/v1/devicesendpoint to list your virtual devices. Identify which device you are adding a secondary to and send aGETrequest to get the/ne/v1/devices/{uuid}endpoint to get the primary device's attributes.
Adding the Secondary Virtual Device
- Portal
- API
-
From your Virtual Device Inventory, click the name of the virtual device to view its Virtual Device Details.
-
Click Add a Secondary Device.

-
The vendor package is automatically set to be the same as your primary device. You don't need to select or configure the vendor package for the secondary device.
-
For Select Deployment Type the following options are automatically configured:
- Redundant Device
- Add an additional, redundant device to an existing device
- The location and the primary virtual device

-
Click Begin Creating Edge Devices.
-
Select a location for the secondary device. By default, Select the same Metro as your primary device is checked, and the Metro of the primary device selected.
To select a different Metro location, uncheck Select the same Metro as your primary device, and select a different Metro.
-
Select a billing account from the drop-down list, or click Select the same billing account as your existing primary device.
infoClick View Primary Device Summary to view account details, device details, license information, notification details, and bandwidth information for the primary device.

-
Click Next: Device Details.
-
Most of the Device Details must be the same as the primary device, are automatically selected, and can't be modified. But:
-
If different (newer) software versions for the secondary device are supported, having two devices in a redundant pair with different software versions might affect performance. We recommend that you update the software version for your primary device.
-
You can give your secondary device a different name.
-
If you chose a different billing account than the one used for the primary device, select a term length in the Term Length section.
-
-
Click Next: Additional Services.
-
Select any additional services for the secondary device. They default to the same selections as the primary device.
-
To modify Device Access, uncheck Same as Primary Device and configure the secondary device's access configuration.
-
To modify the Access Control List Templates, uncheck Same as Primary Device and select one from the drop-down list or create a new one.
-
To add additional bandwidth to the secondary device, select a bandwidth from the Secondary Device Bandwidth drop-down.

-
-
Click Next: Review and review your order. In the Shared Support Structure section, you must click I have reviewed this support policy and acknowledge it.

-
Click Create Virtual Device.
To create a secondary device, send a POST request to the /ne/v1/devices endpoint. In the body of the request, specify:
- Your primary device's UUID to
primaryDeviceUuid. - The secondary device configuration in the
secondaryobject. Note that if different (newer) software versions for the secondary device are supported, having two devices in a redundant pair with different software versions might affect performance. We recommend that you update the software version for your primary device.
Sample cURL Request:
curl -X POST "https://api.equinix.com/ne/v1/devices" \
-H "content-type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"primaryDeviceUuid": "device_uuid",
"secondary": {
"metroCode": "<metro_code>",
"version": "<version_number>",
"virtualDeviceName": "<secondary_device_name>",
"hostNamePrefix": "<secondary_device_hostname_prefix>",
"notifications": [
"<contact_email>"
],
"termLength": 1,
"aclDetails": [
{
"uuid": "<acl_uuid>",
"interfaceType": "<acl_interface_type>"
}
],
"userPublicKey": {
"username": "<username>",
"keyName": "<keyname>"
},
"licenseFileId": "<license_file_id>",
"accountNumber": "<account_number>"
}
}'
Include licenseFileId only if your vendor and license mode require a license file.
For a complete list of parameters and options, see the API Reference.
While the secondary device is being provisioned, the status of the primary device will change to
WAITING_FOR_SECONDARY. If the secondary fails to provision, the primary will move back to the
provisioned state. If the secondary provisions, then the status of both the devices will change to
PROVISIONED.